package com.jkcredit.invoice.hub.spi.web.data;

import com.jkcredit.invoice.hub.enums.ApiResponseCodeEnum;
import com.jkcredit.invoice.hub.util.EnumStatusUtils;
import lombok.Data;
import lombok.ToString;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Pattern;

/**
 * @description:
 * @author: xusonglin
 * @create: 2020/1/14 16:15
 * @version: V1.0
 **/
@Data
@ToString
public class ApiRequestParam {
    @NotNull(message = "参数不能为空!")
    @NotBlank(message = "参数不能为空!")
    private String api;

    @NotNull(message = "参数不能为空!")
    @NotBlank(message = "参数不能为空!")
    private String appKey;

    @NotNull(message = "参数不能为空!")
    @NotBlank(message = "参数不能为空!")
    private String appSecret;

    @NotNull(message = "参数不能为空!")
    private Object data;
}
